<p align="center">
  <a href="https://vuepress.vuejs.org/" target="_blank">
    <img width="280" src="https://raw.githubusercontent.com/vuejs/vuepress/master/docs/.vuepress/public/hero.png" alt="logo">
  </a>
</p>

<p align="center">
  <a href="https://npmcharts.com/compare/vuepress?minimal=true"><img src="https://img.shields.io/npm/dm/vuepress.svg" alt="Downloads"></a>
  <a href="https://www.npmjs.com/package/vuepress"><img src="https://img.shields.io/npm/v/vuepress.svg" alt="Version"></a>
  <a href="https://www.npmjs.com/package/vuepress"><img src="https://img.shields.io/npm/l/vuepress.svg" alt="License"></a>
</p>

# VuePress

> Minimalistic docs generator with Vue component based layout system

https://vuepress.vuejs.org/

## Features

**Built-in markdown extensions**

* [Table of Contents](https://vuepress.vuejs.org/guide/markdown.html#table-of-contents)
* [Custom Containers](https://vuepress.vuejs.org/guide/markdown.html#custom-containers)
* [Line Highlighting](https://vuepress.vuejs.org/guide/markdown.html#line-highlighting-in-code-blocks)
* [Line Numbers](https://vuepress.vuejs.org/guide/markdown.html#line-numbers)
* [Import Code Snippets](https://vuepress.vuejs.org/guide/markdown.html#import-code-snippets)

**Using Vue in Markdown**

* [Templating](https://vuepress.vuejs.org/guide/using-vue.html#templating)
* [Using Components](https://vuepress.vuejs.org/guide/using-vue.html#using-components)

**Vue-powered custom theme system**

* [Metadata](https://vuepress.vuejs.org/guide/custom-themes.html#site-and-page-metadata)
* [Content Excerpt](https://vuepress.vuejs.org/guide/custom-themes.html#content-excerpt)

**Default theme**

* Responsive layout
* [Optional Homepage](https://vuepress.vuejs.org/default-theme-config/#homepage)
* [Simple out-of-the-box header-based search](https://vuepress.vuejs.org/default-theme-config/#built-in-search)
* [Algolia Search](https://vuepress.vuejs.org/default-theme-config/#algolia-search)
* Customizable [navbar](https://vuepress.vuejs.org/default-theme-config/#navbar) and [sidebar](https://vuepress.vuejs.org/default-theme-config/#sidebar)
* [Auto-generated GitHub link and page edit links](https://vuepress.vuejs.org/default-theme-config/#git-repo-and-edit-links)
* [PWA: Popup UI to refresh contents](https://vuepress.vuejs.org/default-theme-config/#popup-ui-to-refresh-contents)
* [Last Updated](https://vuepress.vuejs.org/default-theme-config/#last-updated)

**Miscellaneous**

* [Multi-Language Support](https://vuepress.vuejs.org/guide/i18n.html)
* [Service Worker](https://vuepress.vuejs.org/config/#serviceworker)
* [Google Analytics](https://vuepress.vuejs.org/config/#ga)

## Showcase

Websites built with VuePress:

**Vue Ecosystem**

* [vue-cli](https://cli.vuejs.org/)
* [vuex](https://vuex.vuejs.org/)
* [vue-server-renderer](https://ssr.vuejs.org/)
* [vue-router](https://router.vuejs.org/)
* [vue-test-utils](https://vue-test-utils.vuejs.org/)
* [vue-loader](https://vue-loader.vuejs.org/)
* [vetur](https://vuejs.github.io/vetur/)
* [rollup-plugin-vue](https://rollup-plugin-vue.vuejs.org/)

**Community**

* [cr-vue](https://cr-vue.mio3io.com/)
* [vuesax](https://lusaxweb.github.io/vuesax/)

## Todo Features

VuePress is still a work in progress. There are a few things that it currently does not support but are planned:

- Plugin support
- Blogging support

Contributions are welcome!

## Development

> Please make sure your version of Node.js is greater than 8.

``` bash
yarn
yarn dev  # serves VuePress' own docs with itself
yarn test # make sure your code change pass the test
```

## License

[MIT](https://github.com/vuejs/vuepress/blob/master/LICENSE)
